eth_getTransactionReceipt

Returns the receipt of a transaction by transaction hash.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

NOTE: eth_getTransactionReceipt is not available for pending transactions.

Parameters

Object NameRequiredTypeDetail
TRANSACTION HASHStringHash of a transaction.
"params": [
    "0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f"
]

Result

A transaction receipt object, or null when no receipt was found.

Result Fields

KeyTypeDetail
blockHashStringHash of the block where this transaction was in.
blockNumberStringA hex code of an integer that represents the block number where this transaction was in.
contractAddressStringAddress where the contract was created, if the transaction was a contract creation. null otherwise.
cumulativeGasUsedStringA hex code of an integer that represents the total amount of gas used when this transaction was executed in the block.
fromStringAddress the transaction is sent from.
gasUsedStringA hex code of an integer that represents the amount of gas used by this specific transaction alone.
logsArrayArray of log objects, which this transaction generated.
logsBloomStringBloom filter for light clients to quickly retrieve related logs.
rootStringPost-transaction stateroot (pre Byzantium). If root is showed, then status will not showed.
statusIntegerEither 1 (success) or 0 (failure). If status is showed, then root will not showed.
toStringAddress the transaction is directed to. null if the transaction is a contract creation.
transactionHashStringHash of the transaction.
transactionIndexStringA hex code of an integer that represents the index position of the transaction in the block.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getTransactionReceipt","params": ["0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f"],"id":1}'

Return

{
    "id": 1,
    "jsonrpc": "2.0",
    "result": {
        "blockHash": "0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35",
        "blockNumber": "0x5bad55",
        "contractAddress": null,
        "cumulativeGasUsed": "0xc349",
        "effectiveGasPrice": "0x174876e800",
        "from": "0xfbb1b73c4f0bda4f67dca266ce6ef42f520fbb98",
        "gasUsed": "0xc349",
        "logs": [
            {
                "address": "0xa3c1e324ca1ce40db73ed6026c4a177f099b5770",
                "blockHash": "0xb3b20624f8f0f86eb50dd04688409e5cea4bd02d700bf6e79e9384d47d6a5a35",
                "blockNumber": "0x5bad55",
                "data": "0x00000000000000000000000000000000000000000000000000bd8d7fa6f8cc00",
                "logIndex": "0x0",
                "removed": false,
                "topics": [
                    "0xa64da754fccf55aa65a1f0128a648633fade3884b236e879ee9f64c78df5d5d7",
                    "0x0000000000000000000000004b9c25ca0224aef6a7522cabdbc3b2e125b7ca50",
                    "0x000000000000000000000000fbb1b73c4f0bda4f67dca266ce6ef42f520fbb98",
                    "0x0000000000000000000000000000000000000000000000000000000000000000"
                ],
                "transactionHash": "0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f",
                "transactionIndex": "0x0"
            }
        ],
        "logsBloom": "0x00000000000000000000000000000400000000000000000000000000000000000000000000000000000000000000000200000000000000800000000000000000000000000800040004000000000000000000000000000000000000000000000000000000020000000000000000000800000000000000000000000100000000000000000000000000800000000000000000000000008000000000000000000000000000000000004000000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000400000000000020000000000000000000000000000000000000000000000000000000000000000000",
        "status": "0x1",
        "to": "0x4b9c25ca0224aef6a7522cabdbc3b2e125b7ca50",
        "transactionHash": "0x8784d99762bccd03b2086eabccee0d77f14d05463281e121a62abfebcf0d2d5f",
        "transactionIndex": "0x0",
        "type": "0x0"
    }
}
Path Params
string
required
Defaults to 41ef54658f6941c2879a8395b8058283
Body Params
string
Defaults to {"jsonrpc":"2.0","method":"eth_getProof","params":["0x5ecddc1ac099074ae965d140a7c62bd71b7fc80a",["0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421"],"latest"],"id":1}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json